Net::DBus::Binding::Message::Signal(3)

NAME
Net::DBus::Binding::Message::Signal - a message encoding a signal

SYNOPSIS
  use Net::DBus::Binding::Message::Signal;

  my $signal = Net::DBus::Binding::Message::Signal->new(
      object_path => "/org/example/myobject",
      interface => "org.example.myobject",
      signal_name => "foo_changed");

  $connection->send($signal);

DESCRIPTION
This module is part of the low-level DBus binding APIs, and should not be used by application code. No guarentees are made about APIs under the "Net::DBus::Binding::" namespace being stable across releases.

This module provides a convenience constructor for creating a message representing a signal.

METHODS

my $signal = Net::DBus::Binding::Message::Signal->new( object_path => $path, interface => $interface, signal_name => $name);
    Creates a new message, representing a signal [to be] emitted by the object located under the path given by the "object_path" parameter. The name of the signal is given by the "signal_name" parameter, and is scoped to the interface given by the "interface" parameter.

AUTHOR
Daniel P. Berrange.

COPYRIGHT
Copyright (C) 2005-2006 Daniel P. Berrange

SEE ALSO
Net::DBus::Binding::Message